LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-02-2014, 02:51 AM   #16
zorro_kwh
Member
 
Registered: May 2007
Posts: 35

Original Poster
Rep: Reputation: 0
Question Remove of grub package for reinstallation


I wanted to clean and install the grub package, so I tried to remove the grub package and got the following output:
Code:
zorro:~ # zypper search grub
Loading repository data...
Warning: Repository 'openSUSE-11.4-Update' appears to outdated. Consider using a different mirror or server.
Reading installed packages...

S | Name        | Summary                                                                        | Type      
--+-------------+--------------------------------------------------------------------------------+-----------
i | grub        | Grand Unified Boot Loader                                                      | package   
  | grub        | Grand Unified Boot Loader                                                      | srcpackage
i | grub        | grub: Remove MAP_GROWSDOWN flag when allocating scratch mem for the grub shell | patch     
  | grub2       | Bootloader with support for Linux, Multiboot and more                          | package   
  | trustedgrub | Grand Unified Boot Loader with TPM support                                     | package   
zorro:~ # zypper -v remove grub
Verbosity: 1
Non-option program arguments: 'grub' 
Initializing Target
Checking whether to refresh metadata for vlc - SuSE
Checking whether to refresh metadata for openSUSE BuildService - Mozilla
Checking whether to refresh metadata for Main Repository (Contrib)
Checking whether to refresh metadata for openSUSE BuildService - Treiber für Web-Cams
Checking whether to refresh metadata for Evergreen update repository for openSUSE 11.4 (standard)
Checking whether to refresh metadata for libdvdcss repository
Checking whether to refresh metadata for Packman Repository
Checking whether to refresh metadata for openSUSE-11.4-Non-Oss
Checking whether to refresh metadata for openSUSE-11.4-Oss
Checking whether to refresh metadata for openSUSE-11.4-Update
Loading repository data...
Warning: Repository 'openSUSE-11.4-Update' appears to outdated. Consider using a different mirror or server.
Reading installed packages...
Force resolution: Yes
Selecting 'grub-0.97-175.176.1.x86_64' for removal.
Resolving package dependencies...
Force resolution: Yes

The following packages are going to be REMOVED:
  bootcycle                              0.3-234.1     
  grub                                   0.97-175.176.1
  patterns-openSUSE-apparmor             11.4-6.9.1    
  patterns-openSUSE-apparmor_opt         11.4-6.9.1    
  patterns-openSUSE-base                 11.4-6.9.1    
  patterns-openSUSE-devel_C_C++          11.4-6.9.1    
  patterns-openSUSE-devel_basis          11.4-6.9.1    
  patterns-openSUSE-enhanced_base        11.4-6.9.1    
  patterns-openSUSE-games                11.4-6.9.1    
  patterns-openSUSE-gnome                11.4-6.9.1    
  patterns-openSUSE-gnome_admin          11.4-6.9.1    
  patterns-openSUSE-gnome_basis          11.4-6.9.1    
  patterns-openSUSE-gnome_basis_opt      11.4-6.9.1    
  patterns-openSUSE-gnome_imaging        11.4-6.9.1    
  patterns-openSUSE-gnome_imaging_opt    11.4-6.9.1    
  patterns-openSUSE-gnome_office         11.4-6.9.1    
  patterns-openSUSE-gnome_office_opt     11.4-6.9.1    
  patterns-openSUSE-gnome_utilities      11.4-6.9.1    
  patterns-openSUSE-gnome_xgl            11.4-6.9.1    
  patterns-openSUSE-imaging              11.4-6.9.1    
  patterns-openSUSE-imaging_opt          11.4-6.9.1    
  patterns-openSUSE-lamp_server          11.4-6.9.1    
  patterns-openSUSE-non_oss              11.4-6.9.1    
  patterns-openSUSE-non_oss_opt          11.4-6.9.1    
  patterns-openSUSE-sw_management_gnome  11.4-6.9.1    
  patterns-openSUSE-x11                  11.4-6.9.1    
  patterns-openSUSE-x11_opt              11.4-6.9.1    


27 packages to remove.
After the operation, 1.4 MiB will be freed.
Continue? [y/n/?] (y): n
When I say YES to the action, will zypper remove my linux because of the 27 patterns-openSUSE-* or will it only remove this one package grub?

I do not want to destroy my running linux installation again!
 
Old 01-02-2014, 10:31 AM   #17
yancek
LQ Guru
 
Registered: Apr 2008
Distribution: PCLinux, Slackware
Posts: 6,983

Rep: Reputation: 1295Reputation: 1295Reputation: 1295Reputation: 1295Reputation: 1295Reputation: 1295Reputation: 1295Reputation: 1295Reputation: 1295
The warning message you are getting is that the repository you are using is outdated and according to the site below, support for 11.4 has ended which would explain the message. I don't see the point in removing it if Lilo works for you. As you can see at the bottom of your output, all you are gaining is 1.4MB of disk space.

http://en.opensuse.org/Lifetime
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Why do the bootloaders (grub, grub4dos & Lilo) boot clonezilla instead of gparted? yanfaun Linux - Software 20 10-21-2010 11:08 PM
HELP! MBR defunct, cannot boot anymore D: GRUB loader crashed HoBu Linux - Laptop and Netbook 10 09-12-2009 01:36 PM
Grub help - XP won't boot anymore lt2007 Linux - Newbie 5 09-27-2007 10:26 AM
Can't get grub to boot Windows anymore! a10waveracer Linux - General 7 08-24-2005 03:58 AM
grub won't boot anymore.... quark Linux - Newbie 3 07-29-2003 12:32 PM


All times are GMT -5. The time now is 11:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration